#!/usr/bin/env python
from os import *

data_list = ['real-sim','news20.binary','rcv1_test.binary']

bestC = {}
bestC[('real-sim','lr')] = 8.0
bestC[('news20.binary','lr')] = 64.0
bestC[('rcv1_test.binary','lr')] = 8.0
# The best parameter C selected by 5-fold cross-validation

eps = 1e-4

def compare(data):

	#LBFGS
	cmd ="cd lbfgs/;matlab -nodisplay -r \"runlbfgs('../data/%s.train','../data/%s.test',%s,%s);quit;\" > ../log/LBFGS_%s_Cbest;cd .."\
			%(data,data,bestC[(data,'lr')],eps,data)
	print cmd
	system(cmd)

	#TRON
	cmd ="./liblinear/train -s 6 -c %s -e %s data/%s.train data/%s.test > log/TRON_%s_Cbest"\
			%(bestC[(data,'lr')], eps, data, data, data)
	print cmd
	system(cmd)

	#CDD
	cmd ="./liblinear/train -s 7 -c %s -e %s data/%s.train data/%s.test > log/CDD_%s_Cbest"\
			%(bestC[(data,'lr')], eps, data, data, data)
	print cmd
	system(cmd)
	
	#SCGIS
	cmd ="./liblinear/train -s 8 -c %s -e %s data/%s.train data/%s.test > log/SCGIS_%s_Cbest"\
			%(bestC[(data,'lr')], eps, data, data, data)
	print cmd
	system(cmd)
	
	#CD
	cmd ="./liblinear/train -s 9 -c %s -e %s data/%s.train data/%s.test > log/CD_%s_Cbest"\
			%(bestC[(data,'lr')], eps, data, data, data)
	print cmd
	system(cmd)

for data in data_list:
	compare(data)
